## Welcome to QSWalk.jl

*QSWalk.jl* is a package providing an implementation of open continuous-time quantum walk based on the GKSL master equation. In particular, it provides the implementation of functions useful for analyzing the local interaction, the global interaction, and the non-moralizing global interaction stochastic quantum walk models.

Package repository contains [examples](https://github.com/QuantumWalks/QSWalk.jl/) presenting the most of the functionality of the package. Examples are provided as `.ipynb`, as well as `.jl` files. The detailed description of the package can also be found in [manuscript available from arXiv](https://arxiv.org/abs/1801.01294).
 
 
 Description of the quantum stochastic models can be found in the following papers:
* [Quantum stochastic walks: A generalization of classical random walks and quantum walks](https://journals.aps.org/pra/abstract/10.1103/PhysRevA.81.022323) by Whitfield, Rodríguez-Rosario, and Aspuru-Guzik,
* [Superdiffusive quantum stochastic walk definable on arbitrary directed graph](http://www.rintonpress.com/journals/qiconline.html#v17n1112) by Domino, Glos, and Ostaszewski,
* [Properties of quantum stochastic walks from the asymptotic scaling exponent](http://www.rintonpress.com/journals/qiconline.html#v18n34) by Domino, Glos, Ostaszewski, Pawela, and Sadowski.
